Bug 45488 - Impress FILEOPEN: fontart object incorrect in pptx presentation
Summary: Impress FILEOPEN: fontart object incorrect in pptx presentation
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pptx
Depends on:
Blocks: OOXML-WordArt
  Show dependency treegraph
 
Reported: 2012-02-01 03:27 UTC by sasha.libreoffice
Modified: 2019-10-17 02:36 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
presentation with FontArt object and screenshot of itself (243.25 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2012-02-01 03:27 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2012-02-01 03:27:57 UTC
Created attachment 56436 [details]
presentation with FontArt object and screenshot of itself

Attached document contains:
1) fontart object in first slide
2) screenshot of first slide on MSO 2007 russian

Problem: first slide contains FontArt text with waves. LibO opens it as plain text.

Reproduced in LibO 3.3.4 and 3.6.0 master on Fedora 64 bit
Comment 1 bfoman (inactive) 2012-07-13 11:29:03 UTC
Confirmed with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit
Comment 2 A (Andy) 2012-12-25 17:57:59 UTC
reproducible with LO 3.6.4.3. (Win7 Home, 64bit)

the wordart is shown correctly in Excel 2007, but not in LO 3.6.4.3.: no wave, no shadow and different font colour
Comment 3 A (Andy) 2013-03-03 10:28:10 UTC
reproducible with LO 4.0.0.3. (Win7 Home, 64bit)

@Radek: Could this maybe be an issue for you?
Comment 4 Timur 2014-03-25 13:16:36 UTC
reproducible with LO 4.1.5.3 and 4.2.3.1 (Win7, 64bit)
Comment 5 Joel Madero 2015-05-02 15:41:01 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-06-20 11:08:26 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 7 QA Administrators 2016-09-20 10:09:56 UTC Comment hidden (obsolete)
Comment 8 vihsa 2017-05-31 14:08:19 UTC
reproducible with lo viewer version: 5.5.0.0.alpha0+ / build id : ec79f34 / android 5.1
Comment 9 QA Administrators 2018-06-01 02:16:16 UTC Comment hidden (obsolete)
Comment 10 Xisco Faulí 2018-10-16 22:00:37 UTC
The fontart is wavy now

Version: 6.2.0.0.alpha0+
Build ID: 49c87270f7176312806d1759967c247a312f0acf
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded
Comment 11 QA Administrators 2019-10-17 02:36:17 UTC
Dear sasha.libreoffice,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug